DDoS attack can u help?

Тема в разделе "Counter-Strike: Global Offensive", создана пользователем scriptas, 24 янв 2015.

  1. scriptas

    scriptas

    Сообщения:
    51
    Симпатии:
    0
    Skype chat
    а ваш сервер, IP: ************:27016 была заказана DDoS атака, видимо по причине вашей популярности. Почему я пишу вам? Не хочу портить ваш проект, когда можно решить данный вопрос без последствий.



    Так что решать будем?


    ------------------------------------------------------------------
    and now i get this???how fix or protect?

    [​IMG]
    ---------------------------------------------
    [​IMG]
    =========================
    [​IMG]
    =========================
    [​IMG]
     
  2. t1empO

    t1empO 109.195.84.188:27015

    Сообщения:
    318
    Симпатии:
    40
    Список плагинов в студию
     
  3. scriptas

    scriptas

    Сообщения:
    51
    Симпатии:
    0
    abner_resetscore.smx
    admin-flatfile.smx
    adminhelp.smx
    adminmenu.smx
    advertisements.csgo.smx
    antiflood.smx
    basebans.smxbasechat.smx
    basecomm.smx
    basecommands.smx
    basetriggers.smx
    basevotes.smx
    clientprefs.smx
    csgo_gore.smx
    funcommands.smx
    funvotes.smx
    hlstatsx.smx
    hpk_lite.smx
    joinsound.smx
    playercommands.smx
    quakesoundsv3.smx
    reservedslots.smx
    smac.smx
    smac_aimbot.smx
    smac_autotrigger.smx
    smac_client.smx
    smac_commands.smx
    smac_cvars.smx
    smac_eyetest.smx
    smac_kac_banlist.smx
    smac_rcon.smx
    smac_speedhack.smx
    smac_wallhack.smx
    sounds.smx
    weapon_restrict.smx

    x86_64 GNU/Linux
    Ubuntu 10.04.4 LTS


    I just cant join to steam
     
  4. Danyas

    Danyas Спасибо, браток © yand3xmail Модератор

    Сообщения:
    1.714
    Симпатии:
    451
    try remove all plugins and add that "l33T hac0r" in your iptables

    Добавлено через 1 минуту
    and set your rcon_password ""
     
    Последнее редактирование: 24 янв 2015
  5. scriptas

    scriptas

    Сообщения:
    51
    Симпатии:
    0
    where is it iptables?
     
  6. Danyas

    Danyas Спасибо, браток © yand3xmail Модератор

    Сообщения:
    1.714
    Симпатии:
    451
    scriptas нравится это.
  7. scriptas

    scriptas

    Сообщения:
    51
    Симпатии:
    0
    #!/bin/bash
    #
    # iptables-apply -- a safer way to update iptables remotely
    #
    # Copyright © Martin F. Krafft <[email protected]>
    # Released under the terms of the Artistic Licence 2.0
    #
    set -eu

    PROGNAME="${0##*/}";
    VERSION=1.0

    TIMEOUT=10
    DEFAULT_FILE=/etc/network/iptables

    function blurb()
    {
    cat <<-_eof
    $PROGNAME $VERSION -- a safer way to update iptables remotely
    _eof
    }

    function copyright()
    {
    cat <<-_eof
    $PROGNAME is C Martin F. Krafft <[email protected]>.

    The program has been published under the terms of the Artistic Licence 2.0
    _eof
    }

    function about()
    {
    blurb
    echo
    copyright
    }

    function usage()
    {
    cat <<-_eof
    Usage: $PROGNAME [options] ruleset

    The script will try to apply a new ruleset (as output by iptables-save/read
    by iptables-restore) to iptables, then prompt the user whether the changes
    are okay. If the new ruleset cut the existing connection, the user will not
    be able to answer affirmatively. In this case, the script rolls back to the
    previous ruleset.

    The following options may be specified, using standard conventions:

    -t | --timeout Specify the timeout in seconds (default: $TIMEOUT)
    -V | --version Display version information
    -h | --help Display this help text
    _eof
    }

    SHORTOPTS="t:Vh";
    LONGOPTS="timeout:,version,help";

    OPTS=$(getopt -s bash -o "$SHORTOPTS" -l "$LONGOPTS" -n "$PROGNAME" -- "$@") || exit $?
    for opt in $OPTS; do
    case "$opt" in
    (-*) unset OPT_STATE;;
    (*)
    case "${OPT_STATE:-}" in
    (SET_TIMEOUT)
    eval TIMEOUT=$opt
    case "$TIMEOUT" in
    ([0-9]*) :;;
    (*)
    echo "E: non-numeric timeout value." >&2
    exit 1
    ;;
    esac
    ;;
    esac
    ;;
    esac

    case "$opt" in
    (-h|--help) usage >&2; exit 0;;
    (-V|--version) about >&2; exit 0;;
    (-t|--timeout) OPT_STATE=SET_TIMEOUT;;
    (--) break;;
    esac
    shift
    done

    FILE="${1:-$DEFAULT_FILE}";

    if [[ -z "$FILE" ]]; then
    echo "E: missing file argument." >&2
    exit 1
    fi

    if [[ ! -r "$FILE" ]]; then
    echo "E: cannot read $FILE" >&2
    exit 2
    fi

    case "${0##*/}" in
    (*6*)
    SAVE=ip6tables-save
    RESTORE=ip6tables-restore
    ;;
    (*)
    SAVE=iptables-save
    RESTORE=iptables-restore
    ;;
    esac

    COMMANDS=(tempfile "$SAVE" "$RESTORE")

    for cmd in "${COMMANDS[@]}"; do
    if ! command -v $cmd >/dev/null; then
    echo "E: command not found: $cmd" >&2
    exit 127
    fi
    done

    umask 0700

    TMPFILE=$(tempfile -p iptap)
    trap "rm -f $TMPFILE" EXIT 1 2 3 4 5 6 7 8 10 11 12 13 14 15

    if ! "$SAVE" >"$TMPFILE"; then
    if ! grep -q ipt /proc/modules 2>/dev/null; then
    echo "E: iptables support lacking from the kernel." >&2
    exit 3
    else
    echo "E: unknown error saving current iptables ruleset." >&2
    exit 4
    fi
    fi

    [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban stop

    echo -n "Applying new ruleset... "
    if ! "$RESTORE" <"$FILE"; then
    echo "failed."
    echo "E: unknown error applying new iptables ruleset." >&2
    exit 5
    else
    echo done.
    fi

    echo -n "Can you establish NEW connections to the machine? (y/N) "

    read -n1 -t "${TIMEOUT:-15}" ret 2>&1 || :
    case "${ret:-}" in
    (y*|Y*)
    echo
    echo ... then my job is done. See you next time.
    ;;
    (*)
    if [[ -z "${ret:-}" ]]; then
    echo "apparently not..."
    else
    echo
    fi
    echo "Timeout. Something happened (or did not). Better play it safe..."
    echo -n "Reverting to old ruleset... "
    "$RESTORE" <"$TMPFILE";
    echo done.
    exit 255
    ;;
    esac

    [ -x /etc/init.d/fail2ban ] && /etc/init.d/fail2ban start

    exit 0

    # vim:noet:sw=8

    Добавлено через 48 секунд
    I first time in my year see this iptable :D
     
    Последнее редактирование модератором: 24 янв 2015
  8. Danyas

    Danyas Спасибо, браток © yand3xmail Модератор

    Сообщения:
    1.714
    Симпатии:
    451
    In next time use tag
    please)

    Добавлено через 45 секунд
    read that http://www.cyberciti.biz/faq/how-do-i-block-an-ip-on-my-linux-server/
     
    Последнее редактирование: 24 янв 2015
  9. scriptas

    scriptas

    Сообщения:
    51
    Симпатии:
    0
    Skype chat

    Когда трафик польётся, я уже остановить ничего не смогу

    --------------------------------------------------------------------------
    На него зайти могут только Литовцы, лол) В интернете он отображается, как выключенный, так что онлайн ты неплохо потеряешь
     
  10. destiny

    destiny

    Сообщения:
    100
    Симпатии:
    7
    Если проект популярен, всегда найдется человек небольшого ума решивший, что он сможет вам навредить. Это всего-лишь угрозы, не факт, что он сможет что-то сделать. Мне точно раз пять кидали такие письмеца, дальше слов и бана таких упырей по SteamID, IP(если он известен) дело не продолжилось. Пока нет реальных действий - вы ничего не сможете сделать, на сколько мне известно под ксго сторонней защиты от ддоса нет (модули, плагины), только обычные средства (firewall, роутер) помогут заблокировать ip злоумышленника.
    Так же, есть очень 'умные' люди, которые предлагают на сервер поставить выдуманный скрипт на защиту от ддоса, который скорее всего уведет пароли и сломает сервер.
    Не нужно паниковать раньше времени.
     
  11. Chaos_Engine

    Chaos_Engine TeamBiceps

    Сообщения:
    520
    Симпатии:
    42
    hataiiia, :taunt: Просто не надо светить ip-адрес, и все.
     
  12. Tallanvor

    Tallanvor Красноглазый

    Сообщения:
    1.072
    Симпатии:
    299
    И каким же это образом ты можешь уберечь от засвета IP своего проекта?
     
  13. Chaos_Engine

    Chaos_Engine TeamBiceps

    Сообщения:
    520
    Симпатии:
    42
    Tallanvor, какого проекта? :taunt: Я про приватный сервер!
     
  14. scriptas

    scriptas

    Сообщения:
    51
    Симпатии:
    0
    he did it :DD 2 days server off? :/
     
  15. Tallanvor

    Tallanvor Красноглазый

    Сообщения:
    1.072
    Симпатии:
    299
    Chaos_Engine, Оффтоп

    Добавлено через 22 минуты
    scriptas, если нужно - вот небольшая заготовка / набор правил. Не панацея, но и не абсолютная беззащитность. Отредактируй под себя, где надо - раскомментируй (особое внимание обрати на SSH-порт!!!, если у тебя dedicated - пропишешь неправильный, останешься без доступа). Все это сохраняешь в файл filename.sh, выставляешь ему права на исполнение (chmod +x filename.sh) и выполняешь от рута (sh filename.sh).
    Соотвестсвующие правила добавятся в iptables.

    PHP:
    #!/bin/bash

    IPT=iptables

    # Сбрасываем существующие правила для всех таблиц и цепочек
    $IPT -F
    $IPT 
    -X

    # Задаём правила по-умолчанию (если не сработало ни одно правило из цепочки — сработает правило отсюда)
    $IPT -P INPUT DROP
    $IPT 
    -P OUTPUT ACCEPT
    $IPT 
    -P FORWARD ACCEPT

    # Разрешаем весь трафик по loopback интерфейсу lo0
    $IPT -A INPUT -i lo -j ACCEPT

    # Разрешаем трафик уже установленным и создающим новые подключения соединениям:
    $IPT -A INPUT -m state --state RELATED,ESTABLISHED -j ACCEPT

    # Разрешаем входящий SSH через интерфейс eth0
    $IPT -A INPUT -p tcp -i eth0 --dport 22 -j ACCEPT

    #Делаем защиту от DOS атак:
    $IPT -A INPUT -p tcp -m tcp --tcp-flags SYN,ACK,FIN,RST RST -m limit --limit 1/-j ACCEPT

    # Разрешаем FTP
    $IPT -A INPUT  -p tcp -m tcp --dport 21 -m conntrack --ctstate ESTABLISHED -j ACCEPT -m comment --comment "Allow ftp connections on port 21"
    $IPT -A OUTPUT -p tcp -m tcp --dport 21 -m conntrack --ctstate NEW,ESTABLISHED -j ACCEPT -m comment --comment "Allow ftp connections on port 21"

    $IPT -A INPUT  -p tcp -m tcp --dport 20 -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT -m comment --comment "Allow ftp connections on port 20"
    $IPT -A OUTPUT -p tcp -m tcp --dport 20 -m conntrack --ctstate ESTABLISHED -j ACCEPT -m comment --comment "Allow ftp connections on port 20"

    $IPT -A INPUT  -p tcp -m tcp --sport 1024: --dport 1024: -m conntrack --ctstate ESTABLISHED -j ACCEPT -m comment --comment "Allow passive inbound connections"
    $IPT -A OUTPUT -p tcp -m tcp --sport 1024: --dport 1024: -m conntrack --ctstate ESTABLISHED,RELATED -j ACCEPT -m comment --comment "Allow passive inbound connections"

    # Разрешаем HTTP
    #$IPT -A INPUT -i eth0 -p tcp --dport 80 -j ACCEPT

    # Разрешаем HTTPS
    #$IPT -A INPUT -i eth0 -p tcp --dport 443 -j ACCEPT

    # Разрешаем SMTP только из сети 77.120.***.1/24
    #$IPT -A INPUT -s 77.120.***.1/24 -i eth0 -p tcp --dport 25 -j ACCEPT

    # Разрешаем SMTP всем, но запрещаем отправку для адреса 77.120.***.46
    #$IPT -A INPUT -s ! 77.120.***.46 -i eth0 -p tcp --dport 25 -j ACCEPT

    # РазрешаемPOP3 только с IP 77.120.***.46
    #$IPT -A INPUT -s 77.120.***.46 -i eth0 -p tcp --dport 110 -j ACCEPT

    # Разрешаем DNS
    $IPT -A INPUT -i eth0 -p udp --dport 53 -j ACCEPT

    # Доступ к портам 8081 и 8082 разрешаем только из сетей 91.***.**.0/24, 195.***.***.0/23 и IP 37.***.**.174
    #for net in 91.***.**.0/24 195.***.***.0/23 37.***.**.174; do
    #$IPT -A INPUT -p tcp -m tcp -s $net -m multiport --dports 8081,8082 -j ACCEPT
    #done
    #$IPT -A INPUT -p tcp -m tcp -m multiport --dports 8081,8082 -j DROP

    # Разрешаем ping
    #$IPT -A INPUT -p icmp -j ACCEPT

    # Заблокировать входящие соединения для IP: /*пример*/
    #$IPT -I INPUT 7 -s 195.154.211.26 -j DROP

    # Открываем диапазон портов для серверов:
    $IPT -A INPUT -m state --state NEW -m udp -p udp --dport 27001:27299 -j ACCEPT
    $IPT 
    -A INPUT -m state --state NEW -m tcp -p tcp --dport 27001:27299 -j ACCEPT


    # Баним диапазоны IP: /*пример*/
    #$IPT -A INPUT -m iprange --src-range 85.173.192.0-85.173.223.255 -j DROP
    #$IPT -A INPUT -m iprange --src-range 178.35.128.0-178.35.191.255 -j DROP
    #$IPT -A INPUT -m iprange --src-range 109.168.192.0-109.168.255.255 -j DROP
     
    Последнее редактирование: 25 янв 2015